:root {
  --primary-blue: #08354a;
  --brand-blue: #0897d8;
  --text-alpha-70: rgba(8, 53, 74, 0.7);
  --bg-modal: #ffffff;
}

.support-page {
}
.support-page__procedure--container-item {
  transition: all ease 0.3s;
}
.support-page__procedure--container-item.hidden {
  height: 0 !important;
  min-height: 0 !important;
  overflow: hidden !important;
  margin: 0 !important;
  padding: 0 !important;
  border: 0 !important;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}
.support-page .support-page__procedure {
  margin-top: 5rem;
}
.support-page .support-page__procedure .procedure-title {
  color: var(--Brand-Blue, #1991c7);
  text-align: center;
  font-size: 1.875rem;
  font-style: normal;
  font-weight: 700;
  line-height: 140%;
  letter-spacing: -0.0375rem;
  text-transform: uppercase;
  margin-bottom: 3rem;
}
.support-page .support-page__procedure main {
  margin-bottom: 1.5rem;
}
.support-page__procedure--container,
.support-page__procedure--container .support-page__procedure--container-item {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  align-self: stretch;
  margin-bottom: 1.5rem;
}
.support-page__procedure--container {
  flex-direction: column;
}
.support-page__procedure--container
  .support-page__procedure--container-item
  .support-page__procedure--container-item-content {
  display: flex;
  height: 12.5rem;
  padding: 1rem;
  width: 20.94rem;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  border-radius: 1.25rem;
  backdrop-filter: blur(6px);
  color: var(--White-100, #fff);
  border-radius: 1rem;

  /* PC/14/14-R */
  font-family: "Google Sans";
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 400;
  line-height: 150%; /* 1.3125rem */
  margin-right:1.25rem;
}
.support-page__procedure--container
  .support-page__procedure--container-item
  .support-page__procedure--container-item-content:last-child  {
    margin-right:0;
      
 }
.support-page__procedure--container
  .support-page__procedure--container-item
  .support-page__procedure--container-item-content.one {
  background: linear-gradient(180deg, #0d84ba 0%, #8edcff 117.25%);
  color: #fff;
}
.support-page__procedure--container
  .support-page__procedure--container-item
  .support-page__procedure--container-item-content.two {
  color: #08354a;
  background: linear-gradient(
    180deg,
    rgba(223, 248, 255, 0.5) 0.22%,
    rgba(177, 229, 255, 0.6) 45.02%
  );
}
.support-page__procedure--container
  .support-page__procedure--container-item
  .support-page__procedure--container-item-content
  h3 {
  font-size: 1.125rem;
  font-style: normal;
  font-weight: 700;
  line-height: 150%; /* 1.6875rem */
  text-transform: uppercase;
}
.support-page__procedure .custom-button-more {
  display: flex;
  justify-content: center;
}
@media (max-width: 639.98px) {
  .support-page__procedure--container,
.support-page__procedure--container .support-page__procedure--container-item {
    margin-bottom:0.625rem;
}
  .support-page__procedure--container
  .support-page__procedure--container-item
  .support-page__procedure--container-item-content
    h3 {
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 700;
    line-height: 150%; /* 1.3125rem */
    text-transform: uppercase;
    margin-bottom:0.38rem;
    }
  .support-page__procedure--container-item
    .support-page__procedure--container-item-content:nth-child(odd) {
    background: linear-gradient(180deg, #0d84ba 0%, #8edcff 117.25%) !important;
    color: #fff !important;
  }
   
   .support-page__procedure--container .support-page__procedure--container-item .support-page__procedure--container-item-content {
       width:100%;
   }

  .support-page__procedure--container-item
    .support-page__procedure--container-item-content:nth-child(even) {
    color: #08354a !important;
    background: linear-gradient(
      180deg,
      rgba(223, 248, 255, 0.5) 0.22%,
      rgba(177, 229, 255, 0.6) 45.02%
    ) !important;
  }
}

.btn-view-procedure {
  transition: transform 0.3s ease;
  cursor: pointer;
  background: none;
  border: none;
  display: flex;
  align-items: center;
  color: inherit;
}

.btn-view-procedure:hover {
  transform: translateX(10px);
}

.btn-view-procedure:active {
  transform: translateX(0);
}

/* Overlay */
.modal-procedure-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  opacity: 0;
  visibility: hidden;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  transition: all ease 0.3s;
}

.modal-procedure-overlay.is-active {
  opacity: 1;
  visibility: visible;
}

/* Main Container */
.modal-procedure-container {
  width: 100%;
  max-width: 48.75rem; /* ~780px */
  background: var(--bg-modal);
  border-radius: 1.5rem; /* 24px */
  padding: 2rem; /* 32px */
  display: flex;
  flex-direction: column;
  position: relative;
}

.modal-procedure-container header {
  display: flex;
  flex-direction: column;
  margin-bottom: 1.5rem;
}

.modal-procedure-container .label-top {
  color: var(--primary-blue);
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.6rem;
  margin-bottom: 0.5rem;
}

.modal-procedure-container h2 {
  color: var(--brand-blue);
  font-size: 1.25rem; /* 20px */
  font-weight: 700;
  line-height: 1.75rem;
  margin: 0;
}

/* Nút Close */
.modal-procedure__button-close {
  position: absolute;
  top: 2rem;
  right: 2rem;
  width: 2.5rem;
  height: 2.5rem;
  background: rgba(17, 17, 100, 0.1);
  border-radius: 100px;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  color: rgba(4, 24, 33, 0.6);
  backdrop-filter: blur(36px);
}

/* Body Steps */
.modal-procedure-container main {
  display: flex;
  flex-direction: column;
}

.modal-step-item {
  margin-bottom: 1rem;
}

.modal-step-item:last-child {
  margin-bottom: 0;
}

.modal-step-item .step-idx {
  color: var(--primary-blue);
  font-size: 1rem;
  font-weight: 700;
  line-height: 1.5rem;
}

.modal-step-item .step-desc {
  color: var(--text-alpha-70);
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5rem;
}

/* RESPONSIVE: Mobile (< 768px) */
@media (max-width: 47.9375rem) {
  .modal-procedure-overlay {
    transform: translateX(100%);
  }
  .modal-procedure-overlay.is-active {
    transform: translateX(0);
  }
  .modal-procedure-container {
    padding: 0;
    border-radius: 0;
    max-width: 100%;
    height: 100%;
    overflow-y: auto;
  }

  .modal-procedure-container header {
    padding: 0.625rem 1rem; /* 10px 16px */
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 0;
    border-bottom: 0.6px solid rgba(22, 22, 22, 0.2);
  }

  .modal-procedure-container .label-top {
    font-size: 0.75rem; /* 12px */
    margin-bottom: 0.25rem;
    line-height: 1.2rem;
  }

  .modal-procedure-container h2 {
    font-size: 1.125rem; /* 18px */
    line-height: 1.35rem;
  }

  .modal-procedure__button-close {
    position: static;
    width: 1.875rem; /* 30px */
    height: 1.875rem;
  }

  .modal-procedure-container main {
    padding: 1.25rem 1rem 1rem 1rem; /* Top 20, LR 16, Bottom 16 */
  }

  .modal-step-item {
    margin-bottom: 0.625rem; /* 10px */
  }

  .modal-step-item .step-idx,
  .modal-step-item .step-desc {
    font-size: 0.875rem; /* 14px */
    line-height: 1.3rem;
  }
}
